[android-components](../../../../index.md) / [mozilla.components.concept.awesomebar](../../../index.md) / [AwesomeBar](../../index.md) / [Suggestion](../index.md) / [Chip](./index.md)

# Chip

`data class Chip` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/awesomebar/src/main/java/mozilla/components/concept/awesomebar/AwesomeBar.kt#L98)

Chips are compact actions that are shown as part of a suggestion. For example a [Suggestion](../index.md) from a search
engine may offer multiple search suggestion chips for different search terms.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Chip(title: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>Chips are compact actions that are shown as part of a suggestion. For example a [Suggestion](../index.md) from a search engine may offer multiple search suggestion chips for different search terms. |

### Properties

| Name | Summary |
|---|---|
| [title](title.md) | `val title: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
